Name:           wmnet
Version:        1.06
Release:        5%{?dist}
Summary:        Network monitoring dockapp
Summary(de):    Dockapp zur Netzwerküberwachung

Group:          User Interface/X
# There is no GPL version given explicitely.
# Because we don't use the getopt library shipped with the tarball,
# we use GPL+ here.
License:        GPL+
URL:            http://www.katharineosborne.com/%{name}/
Source0:        http://www.katharineosborne.com/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  libXext-devel
BuildRequires:  libXpm-devel
BuildRequires:  xmkmf
Requires:       xorg-x11-fonts-misc

%description
This little program polls network statistics and does a few things with
the data it gets.  It has small blinking lights for the rx and tx of IP
packets, a digital speedometer of your polled stat's current
speed and a bar graph like xload et. al which has a
tx speed graph from bottom-up and rx speed graph from the top-down.


%description -l de
Dieses kleine Programm ermittelt Netzwerkstatistiken und verarbeitet die
erhaltenen Daten. Es verfügt über blinkende Lämpchen für die
Upload- und Download-Werte der IP-Pakete, einen digitalen
Geschwindigkeitsmesser und ein Balkendiagramm ähnlich wie xload, welches
einen Download-Graph von unten nach oben und einen Upload-Graph von oben nach
unten anzeigt.

%prep
%setup -q
rm -f getopt*

%build
xmkmf
make CFLAGS='%{optflags}' %{?_smp_mflags}


%install
make INSTALL="install -p" install DESTDIR=%{buildroot}
make INSTALL="install -p" install.man DESTDIR=%{buildroot}



%files
%doc Changelog README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1x.*


%changelog
* Sun Nov 20 2011 Mario Blättermann <mariobl@fedoraproject.org> 1.06-5
- Removed defattr macro in files list
- Removed buildroot cleaning in install section

* Sun May 22 2011 Mario Blättermann <mariobl@fedoraproject.org> 1.06-4
- Added missing font in "Requires"

* Sun Apr 27 2011 Mario Blättermann <mariobl@fedoraproject.org> 1.06-3
- Changed license and comment

* Sun Feb 27 2011 Mario Blättermann <mariobl@fedoraproject.org> 1.06-2
- Changed make calls
- Changed download link and project homepage

* Sun Feb 27 2011 Mario Blättermann <mariobl@fedoraproject.org> 1.06-1
- initial version
